net.minecraft.tileentity

## Class TileEntityHopper

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityHopper

- All Implemented Interfaces:
    IInventory, Hopper

      public class TileEntityHopper
      extends TileEntity
      implements Hopper

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityHopper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeChest()`
    `ItemStack` | `decrStackSize(int par1, int par2)` Removes from an inventory slot (first arg) up to a specified number (second arg) of items and returns them in a new stack.
    `boolean` | `func_94041_b(int par1, ItemStack par2ItemStack)`
    `boolean` | `func_94042_c()`
    `static int` | `func_94115_a(IInventory par1IInventory, int par2)`
    `static ItemStack` | `func_94117_a(IInventory par1IInventory, ItemStack par2ItemStack, int par3)`
    `double` | `func_96107_aA()`
    `double` | `func_96108_aC()`
    `double` | `func_96109_aB()`
    `static boolean` | `func_96114_a(IInventory par0IInventory, EntityItem par1EntityItem)`
    `void` | `func_96115_a(String par1Str)`
    `static boolean` | `func_96116_a(Hopper par0Hopper)`
    `static IInventory` | `func_96117_b(World par0World, double par1, double par3, double par5)`
    `static IInventory` | `func_96118_b(Hopper par0Hopper)`
    `static EntityItem` | `func_96119_a(World par0World, double par1, double par3, double par5)`
    `boolean` | `func_98045_j()`
    `void` | `func_98046_c(int par1)`
    `boolean` | `func_98047_l()`
    `int` | `getInventoryStackLimit()` Returns the maximum stack size for a inventory slot.
    `String` | `getInvName()` Returns the name of the inventory.
    `int` | `getSizeInventory()` Returns the number of slots in the inventory.
    `ItemStack` | `getStackInSlot(int par1)` Returns the stack in slot i
    `ItemStack` | `getStackInSlotOnClosing(int par1)` When some containers are closed they call this on each slot, then drop whatever it returns as an EntityItem - like when you close a workbench GUI.
    `boolean` | `isUseableByPlayer(EntityPlayer par1EntityPlayer)` Do not make give this method the name canInteractWith because it clashes with Container
    `void` | `onInventoryChanged()` Called when an the contents of an Inventory change, usually
    `void` | `openChest()`
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
    `void` | `setInventorySlotContents(int par1, ItemStack par2ItemStack)` Sets the given item stack to the specified slot in the inventory (can be crafting or armor sections).
    `void` | `updateEntity()` Allows the entity to update its state.
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_82115_m, func_85027_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getRenderBoundingBox, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.tileentity.Hopper

      `getWorldObj`

- - ### Constructor Detail

    - #### TileEntityHopper

          public TileEntityHopper()

  - ### Method Detail

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

      Reads a tile entity from NBT.
      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

      Writes a tile entity to NBT.
      Overrides:
        `writeToNBT` in class `TileEntity`

    - #### onInventoryChanged

          public void onInventoryChanged()

      Called when an the contents of an Inventory change, usually
      Specified by:
        `onInventoryChanged` in interface `IInventory`
      Overrides:
        `onInventoryChanged` in class `TileEntity`

    - #### getSizeInventory

          public int getSizeInventory()

      Returns the number of slots in the inventory.
      Specified by:
        `getSizeInventory` in interface `IInventory`

    - #### getStackInSlot

          public ItemStack getStackInSlot(int par1)

      Returns the stack in slot i
      Specified by:
        `getStackInSlot` in interface `IInventory`

    - #### decrStackSize

          public ItemStack decrStackSize(int par1,
                                int par2)

      Removes from an inventory slot (first arg) up to a specified number (second arg) of items and returns them in a new stack.
      Specified by:
        `decrStackSize` in interface `IInventory`

    - #### getStackInSlotOnClosing

          public ItemStack getStackInSlotOnClosing(int par1)

      When some containers are closed they call this on each slot, then drop whatever it returns as an EntityItem - like when you close a workbench GUI.
      Specified by:
        `getStackInSlotOnClosing` in interface `IInventory`

    - #### setInventorySlotContents

          public void setInventorySlotContents(int par1,
                                      ItemStack par2ItemStack)

      Sets the given item stack to the specified slot in the inventory (can be crafting or armor sections).
      Specified by:
        `setInventorySlotContents` in interface `IInventory`

    - #### getInvName

          public String getInvName()

      Returns the name of the inventory.
      Specified by:
        `getInvName` in interface `IInventory`

    - #### func_94042_c

          public boolean func_94042_c()

      Specified by:
        `func_94042_c` in interface `IInventory`

    - #### func_96115_a

          public void func_96115_a(String par1Str)

    - #### getInventoryStackLimit

          public int getInventoryStackLimit()

      Returns the maximum stack size for a inventory slot. Seems to always be 64, possibly will be extended. *Isn't this more of a set than a get?*
      Specified by:
        `getInventoryStackLimit` in interface `IInventory`

    - #### isUseableByPlayer

          public boolean isUseableByPlayer(EntityPlayer par1EntityPlayer)

      Do not make give this method the name canInteractWith because it clashes with Container
      Specified by:
        `isUseableByPlayer` in interface `IInventory`

    - #### openChest

          public void openChest()

      Specified by:
        `openChest` in interface `IInventory`

    - #### closeChest

          public void closeChest()

      Specified by:
        `closeChest` in interface `IInventory`

    - #### func_94041_b

          public boolean func_94041_b(int par1,
                             ItemStack par2ItemStack)

      Specified by:
        `func_94041_b` in interface `IInventory`

    - #### updateEntity

          public void updateEntity()

      Allows the entity to update its state. Overridden in most subclasses, e.g. the mob spawner uses this to count ticks and creates a new spawn inside its implementation.
      Overrides:
        `updateEntity` in class `TileEntity`

    - #### func_98045_j

          public boolean func_98045_j()

    - #### func_96116_a

          public static boolean func_96116_a(Hopper par0Hopper)

    - #### func_96114_a

          public static boolean func_96114_a(IInventory par0IInventory,
                             EntityItem par1EntityItem)

    - #### func_94115_a

          public static int func_94115_a(IInventory par1IInventory,
                         int par2)

    - #### func_94117_a

          public static ItemStack func_94117_a(IInventory par1IInventory,
                               ItemStack par2ItemStack,
                               int par3)

    - #### func_96118_b

          public static IInventory func_96118_b(Hopper par0Hopper)

    - #### func_96119_a

          public static EntityItem func_96119_a(World par0World,
                                double par1,
                                double par3,
                                double par5)

    - #### func_96117_b

          public static IInventory func_96117_b(World par0World,
                                double par1,
                                double par3,
                                double par5)

    - #### func_96107_aA

          public double func_96107_aA()

      Specified by:
        `func_96107_aA` in interface `Hopper`

    - #### func_96109_aB

          public double func_96109_aB()

      Specified by:
        `func_96109_aB` in interface `Hopper`

    - #### func_96108_aC

          public double func_96108_aC()

      Specified by:
        `func_96108_aC` in interface `Hopper`

    - #### func_98046_c

          public void func_98046_c(int par1)

    - #### func_98047_l

          public boolean func_98047_l()